"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const winston = require("winston");
const path_1 = require("path");
const fs_extra_1 = require("fs-extra");
const logFileFolder = path_1.resolve(process.cwd(), '.ewizard');
exports.default = () => {
    if (fs_extra_1.pathExistsSync(logFileFolder)) {
        return [
            new winston.transports.File({
                dirname: logFileFolder,
                filename: 'debug.log',
                level: 'error',
                handleExceptions: true,
            }),
        ];
    }
    return [];
};
//# sourceMappingURL=File.js.map