"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const winston = require("winston");
const path = require("path");
const config = winston.config;
const pathToLog = path.resolve(process.cwd(), '.ewizard', 'debug.log');
exports.default = [new winston.transports.Console({
        formatter(options) {
            return `${config.colorize(options.level, options.level.toUpperCase())}: ${options.message}`;
        },
        handleExceptions: true,
    }),
];
//# sourceMappingURL=Console.js.map